Bug 1797301 - Review Request: perl-Array-IntSpan - Handles arrays using integer ranges
Summary: Review Request: perl-Array-IntSpan - Handles arrays using integer ranges
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1817020
TreeView+ depends on / blocked
 
Reported: 2020-02-02 11:52 UTC by Sandro Mani
Modified: 2020-04-06 21:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-06 21:39:48 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2020-02-02 11:52:28 UTC
Spec URL: https://smani.fedorapeople.org/review/perl-Array-IntSpan.spec
SRPM URL: https://smani.fedorapeople.org/review/perl-Array-IntSpan-2.003-1.fc32.src.rpm
Description: Handles arrays using integer ranges
Fedora Account System Username: smani

Comment 1 Jitka Plesnikova 2020-02-03 11:57:07 UTC
Source file is ok
Summary is ok

License 
FIX: Artistic 1.0 is not a valid license for Fedora
     More info about it can be found
     https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Bad_Licenses

$ rpmlint ./perl-Array-IntSpan*
perl-Array-IntSpan.noarch: W: invalid-license Artistic
perl-Array-IntSpan.src: W: invalid-license Artistic
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Description is ok
URL and Source0 are ok
All tests passed

BuildRequires are ok
TODO: perl(:VERSION) can be removed, the dependency is used mainly for
      Perl version constrain.

$ rpm -qp --requires perl-Array-IntSpan-2.003-1.fc32.noarch.rpm | sort | uniq -c | grep -v rpmlib
      1 perl(Array::IntSpan)
      1 perl(Carp)
      1 perl(:MODULE_COMPAT_5.30.1)
      1 perl(overload)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
Binary requires are Ok.

$ rpm -qp --provides perl-Array-IntSpan-2.003-1.fc32.noarch.rpm | sort | uniq -c
      1 perl(Array::IntSpan) = 2.003
      1 perl-Array-IntSpan = 2.003-1.fc32
      1 perl(Array::IntSpan::Fields) = 2.002
      1 perl(Array::IntSpan::IP) = 1.01
Binary provides are Ok.

Please correct 'FIX' issue and consider fixing 'TODO' item and provide new
spec file.

Resolution:
Not approved

Comment 2 Sandro Mani 2020-02-03 13:02:07 UTC
Spec URL: https://smani.fedorapeople.org/review/perl-Array-IntSpan.spec
SRPM URL: https://smani.fedorapeople.org/review/perl-Array-IntSpan-2.003-2.fc32.src.rpm

%changelog
* Mon Feb 03 2020 Sandro Mani <manisandro@gmail.com> - 2.003-2
- Fix license
- Drop BR perl(:VERSION)

Comment 3 Sandro Mani 2020-02-10 09:22:26 UTC
@Jitka ping? :)

Comment 4 Jitka Plesnikova 2020-02-10 09:57:37 UTC
Sorry for delay.

> License 
> FIX: Artistic 1.0 is not a valid license for Fedora
>      More info about it can be found
>      https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Bad_Licenses

-License:        Artistic
+License:        GPL+ or Artistic

Theis is not fix, because LICENSE, Makefile.PL and all *.pm files mention that the license is 'Artistic 1.0'. 
So, you have to contact upstream and ask them if they can change licensing for the module.

 
> $ rpmlint ./perl-Array-IntSpan*
> perl-Array-IntSpan.noarch: W: invalid-license Artistic
> perl-Array-IntSpan.src: W: invalid-license Artistic
> 2 packages and 1 specfiles checked; 0 errors, 2 warnings.

 
> BuildRequires are ok
> TODO: perl(:VERSION) can be removed, the dependency is used mainly for
>       Perl version constrain.
Ok.

Resolution:
Not approved

Comment 5 Sandro Mani 2020-02-11 23:18:38 UTC
My bad, I had interpreted this (as contained in the source files)

##########################################################################
# Copyright 2003-2004,2010,2014 Dominique Dumont.  All rights reserved.
# Copyright 2000 Toby Everett.  All rights reserved.
#
# This file is distributed under the Artistic License. See
# http://www.ActiveState.com/corporate/artistic_license.htm or
# the license that comes with your perl distribution.
#
# For comments, questions, bugs or general interest, feel free to
# contact Dominique Dumont at ddumont@cpan.org
# or Toby Everett at teverett@alascom.att.com
##########################################################################

as meaning Perl License (aka GPL+ or Artistic according to the licensing wiki). But investigating further, the latest available valid snapshot of http://www.ActiveState.com/corporate/artistic_license.htm in the webarchive [1] indeed refers to the original Artistic 1.0 license.

perl-Array-IntSpan is pretty much dead upstream since 2014, I see little chance of getting the project to relicense. I fear I'll have to abandon this and ask the licensecheck maintainer to reconsider usage of this module.

[1] https://web.archive.org/web/19990503164958/http://www.activestate.com:80/corporate/artistic_license.htm

Comment 7 Sandro Mani 2020-02-11 23:50:37 UTC
Licensecheck maintainer has responded and will avoid this dependency. Closing this, sorry for wasting your time!

Comment 8 Sandro Mani 2020-03-27 19:17:26 UTC
Upstream has relicensed to artistic 2.0, reopening review request.

Spec URL: https://smani.fedorapeople.org/review/perl-Array-IntSpan.spec
SRPM URL: https://smani.fedorapeople.org/review/perl-Array-IntSpan-2.004-1.fc32.src.rpm

Comment 10 Jared Smith 2020-04-05 12:03:22 UTC
Package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Artistic License (v2.0)", "Artistic License
     (v2.0)", "Unknown or generated". 14 files have unknown license.
     Detailed output of licensecheck in
     /home/jsmith/Documents/Fedora/Reviews/1797301-perl-Array-
     IntSpan/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Array(perl-Array-Utils, perl-Array-
     Compare, perl-Array-Unique, perl-Array-Diff)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Array-IntSpan-2.004-1.fc33.noarch.rpm
          perl-Array-IntSpan-2.004-1.fc33.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
perl-Array-IntSpan.noarch: W: invalid-url URL: https://metacpan.org/release/Array-IntSpan <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
https://cpan.metacpan.org/authors/id/D/DD/DDUMONT/Array-IntSpan-2.004.tar.gz :
  CHECKSUM(SHA256) this package     : 4dcd17afce0955ee6b2a9bdd6e06669b9fa1daca161e11b4808f0e33a0ce0c99
  CHECKSUM(SHA256) upstream package : 4dcd17afce0955ee6b2a9bdd6e06669b9fa1daca161e11b4808f0e33a0ce0c99


Requires
--------
perl-Array-IntSpan (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.30.2)
    perl(Array::IntSpan)
    perl(Carp)
    perl(overload)
    perl(strict)
    perl(vars)
    perl(warnings)



Provides
--------
perl-Array-IntSpan:
    perl(Array::IntSpan)
    perl(Array::IntSpan::Fields)
    perl(Array::IntSpan::IP)
    perl-Array-IntSpan



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1797301
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Perl, Shell-api
Disabled plugins: PHP, Python, Java, Haskell, C/C++, fonts, Ocaml, R, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 11 Sandro Mani 2020-04-05 12:24:25 UTC
Thank you!

Comment 12 Gwyn Ciesla 2020-04-06 13:43:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Array-IntSpan


Note You need to log in before you can comment on or make changes to this bug.